package flightprepcheck

import "context"

type Repository interface {
	Create(ctx context.Context, check *FlightPrepCheck) error
	Update(ctx context.Context, check *FlightPrepCheck) error
	GetByID(ctx context.Context, id []byte) (*FlightPrepCheck, error)
	GetByFlightInspectionID(ctx context.Context, flightInspectionID []byte) (*FlightPrepCheck, error)
}
